# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Find/Rule.pm) perl(FileHandle.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Test/Builder/Module.pm) perl(Test/More.pm) perl(Text/Diff.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Test-Snapshots
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: for testing stand alone scripts and executables
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SZ/SZABGAB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Test::Snapshots was created especially to be able to test a 
large number of command line oriented executables. It does not
matter if the executable is something compiled from C, a Perl, 
Python or PHP script.

Test::Snapshot can be seen as a very simple replacement of the Expect manpage.
It will go over the designated direcory and run every execute like this:

  executable arguments < input_file > output_file 2> error_file
  
It will then check if the output_file is the same as the exepcted output file
and if the error_file is the sameas the expected error file.

If an input file is not supplied then the < input_file part will be
omitted.

The input file, the list of arguments and the expected output and 
error files all have the same name as the executable. So if you have
an executable called `fabricate.exe' then you'd create the following
files:

  fabricate.exe.in
  fabricate.exe.argv
  
  fabricate.exe.out
  fabricate.exe.err
  fabricate.exe.exit
  
If .in is omitted we assume there is no input

If .argv is omitted then no arguments are provided

If .err or .out is omitted then it is assumed to be empty.

If .exit is omitted then it is expected that the exit code will be
equal to the default exit code which is 0.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

